Bug 31010 - Перестал работать Sinaptic после обновления.
: Перестал работать Sinaptic после обновления.
Status: NEW
: Branch p7
(All bugs in Branch p7/apt)
: не указана
: x86 Linux
: P3 normal
Assigned To:
:
: http://forum.altlinux.org/index.php/t...
:
:
:
  Show dependency tree
 
Reported: 2015-05-16 14:55 by
Modified: 2015-05-20 17:41 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2015-05-16 14:55:04
Обновился как обычно,apt-get update,apt-get upgrde. После этого перестал
работать Synaptiс.Выдает вот это.
[root@101 ~]# apt-get update
Получено: 1 http://ftp.altlinux.org i586 release [896B]
Получено: 2 http://ftp.altlinux.org noarch release [690B]
Получено 1586B за 0s (6660B/s).            
Найдено http://ftp.altlinux.org i586/classic pkglist
Найдено http://ftp.altlinux.org i586/classic release
Найдено http://ftp.altlinux.org noarch/classic pkglist
Найдено http://ftp.altlinux.org noarch/classic release
Чтение списков пакетов... Ошибка!
*** Error in `apt-get': free(): invalid pointer: 0xb6ce6008 ***
======= Backtrace: =========
/lib/libc.so.6(+0x75b6b)[0xb7483b6b]
/lib/libc.so.6(+0x76994)[0xb7484994]
/lib/libdb-4.7.so(+0x1187c5)[0xb71e07c5]
/lib/libdb-4.7.so(+0xbb9af)[0xb71839af]
/lib/libdb-4.7.so(+0xaef82)[0xb7176f82]
/lib/libdb-4.7.so(+0xaf8d5)[0xb71778d5]
/lib/libdb-4.7.so(+0xc5150)[0xb718d150]
/usr/lib/librpmdb-4.0.4.so(+0x4501)[0xb7352501]
/usr/lib/librpmdb-4.0.4.so(dbiClose+0x69)[0xb735eb29]
/usr/lib/librpmdb-4.0.4.so(rpmdbClose+0x5a)[0xb735effa]
/usr/lib/libapt-pkg-libc6.9-6-64.so.2(_ZN12RPMDBHandlerD1Ev+0x4b)[0xb76c676b]
/usr/lib/libapt-pkg-libc6.9-6-64.so.2(_ZN12RPMDBHandlerD0Ev+0x22)[0xb76c6862]
/usr/lib/libapt-pkg-libc6.9-6-64.so.2(_ZN9rpmSystem6UnLockEb+0x78)[0xb76e8d88]
/usr/lib/libapt-pkg-libc6.9-6-64.so.2(_ZN12pkgCacheFileD2Ev+0x67)[0xb7706507]
apt-get[0x80535c3]
/usr/lib/libapt-pkg-libc6.9-6-64.so.2(_ZN11CommandLine11DispatchArgEPNS_8DispatchEb+0x6e)[0xb76b4dfe]
apt-get[0x804dad1]
/lib/libc.so.6(__libc_start_main+0xf5)[0xb74275d5]
apt-get[0x804de00]
======= Memory map: ========
08048000-08068000 r-xp 00000000 08:12 654147     /usr/bin/apt-get
08068000-08069000 r--p 0001f000 08:12 654147     /usr/bin/apt-get
08069000-0806a000 rw-p 00020000 08:12 654147     /usr/bin/apt-get
0806a000-08159000 rw-p 00000000 00:00 0          [heap]
b6ce5000-b6ce6000 rw-s 02000000 08:12 525278     /var/cache/apt/pkgcache.bin
b6ce6000-b6db0000 rw-p 00000000 00:00 0 
b6e27000-b6e56000 r--p 00000000 08:12 138887    
/usr/share/locale/ru/LC_MESSAGES/libc.mo
b6e56000-b6e98000 rw-s 00000000 08:12 524459     /var/lib/rpm/__db.003
b6e98000-b6ec0000 rw-s 00000000 08:12 524323     /var/lib/rpm/__db.002
b6ec0000-b6ecc000 r-xp 00000000 08:12 786791     /lib/libnss_files-2.17.so
b6ecc000-b6ecd000 r--p 0000b000 08:12 786791     /lib/libnss_files-2.17.so
b6ecd000-b6ece000 rw-p 0000c000 08:12 786791     /lib/libnss_files-2.17.so
b6ee8000-b6ee9000 rw-p 00000000 00:00 0 
b6ee9000-b6eef000 rw-s 00000000 08:12 523800     /var/lib/rpm/__db.001
b6eef000-b6ef0000 rw-p 00000000 00:00 0 
b6ef0000-b6ef2000 r-xp 00000000 08:12 790763     /usr/lib/gconv/KOI8-R.so
b6ef2000-b6ef3000 r--p 00001000 08:12 790763     /usr/lib/gconv/KOI8-R.so
b6ef3000-b6ef4000 rw-p 00002000 08:12 790763     /usr/lib/gconv/KOI8-R.so
b6ef4000-b6f33000 r--p 00000000 08:12 940405    
/usr/lib/locale/ru_RU.utf8/LC_CTYPE
b6f33000-b7063000 r--p 00000000 08:12 918829    
/usr/lib/locale/ru_RU.utf8/LC_COLLATE
b7063000-b7066000 rw-p 00000000 00:00 0 
b7066000-b70a8000 r-xp 00000000 08:12 786830     /lib/libpcre.so.3.15.1
b70a8000-b70a9000 r--p 00041000 08:12 786830     /lib/libpcre.so.3.15.1
b70a9000-b70aa000 rw-p 00042000 08:12 786830     /lib/libpcre.so.3.15.1
b70aa000-b70ab000 rw-p 00000000 00:00 0 
b70ab000-b70ae000 r-xp 00000000 08:12 786706     /lib/libdl-2.17.so
b70ae000-b70af000 r--p 00002000 08:12 786706     /lib/libdl-2.17.so
b70af000-b70b0000 rw-p 00003000 08:12 786706     /lib/libdl-2.17.so
b70b0000-b70c6000 r-xp 00000000 08:12 663508     /usr/lib/libelf-0.155.so
b70c6000-b70c7000 r--p 00015000 08:12 663508     /usr/lib/libelf-0.155.so
b70c7000-b70c8000 rw-p 00016000 08:12 663508     /usr/lib/libelf-0.155.so
b70c8000-b7227000 r-xp 00000000 08:12 786713     /lib/libdb-4.7.so
b7227000-b7229000 r--p 0015e000 08:12 786713     /lib/libdb-4.7.so
b7229000-b722a000 rw-p 00160000 08:12 786713     /lib/libdb-4.7.so
b722a000-b7250000 r-xp 00000000 08:12 786780     /lib/liblzma.so.5.0.4
b7250000-b7251000 r--p 00025000 08:12 786780     /lib/liblzma.so.5.0.4
b7251000-b7252000 rw-p 00026000 08:12 786780     /lib/liblzma.so.5.0.4
b7252000-b7269000 r-xp 00000000 08:12 786897     /lib/libz.so.1.2.8
b7269000-b726a000 r--p 00017000 08:12 786897     /lib/libz.so.1.2.8
b726a000-b726b000 rw-p 00018000 08:12 786897     /lib/libz.so.1.2.8
b726b000-b726c000 rw-p 00000000 00:00 0 
b726c000-b727d000 r-xp 00000000 08:12 786694     /lib/libbz2.so.1.0.6
b727d000-b727e000 r--p 00010000 08:12 786694     /lib/libbz2.so.1.0.6
b727e000-b727f000 rw-p 00011000 08:12 786694     /lib/libbz2.so.1.0.6
b727f000-b729e000 r-xp 00000000 08:12 786851     /lib/libselinux.so.1
b729e000-b729f000 r--p 0001e000 08:12 786851     /lib/libselinux.so.1
b729f000-b72a0000 rw-p 0001f000 08:12 786851     /lib/libselinux.so.1
b72a0000-b72d4000 r-xp 00000000 08:12 663291     /usr/lib/libbeecrypt.so.7.0.0
b72d4000-b72d5000 ---p 00034000 08:12 663291     /usr/lib/libbeecrypt.so.7.0.0
b72d5000-b72d6000 r--p 00034000 08:12 663291     /usr/lib/libbeecrypt.so.7.0.0
b72d6000-b72d8000 rw-p 00035000 08:12 663291     /usr/lib/libbeecrypt.so.7.0.0
b72d8000-b72e1000 r-xp 00000000 08:12 786838     /lib/libpopt.so.0.0.0
b72e1000-b72e2000 r--p 00008000 08:12 786838     /lib/libpopt.so.0.0.0
b72e2000-b72e3000 rw-p 00009000 08:12 786838     /lib/libpopt.so.0.0.0
b72e3000-b7323000 r-xp 00000000 08:12 786721     /lib/libm-2.17.so
b7323000-b7324000 r--p 0003f000 08:12 786721     /lib/libm-2.17.so
b7324000-b7325000 rw-p 00040000 08:12 786721     /lib/libm-2.17.so
b7325000-b7326000 rw-p 00000000 00:00 0 
b7326000-b734c000 r-xp 00000000 08:12 664143     /usr/lib/liblua-5.1.so.0
b734c000-b734d000 r--p 00025000 08:12 664143     /usr/lib/liblua-5.1.so.0
b734d000-b734e000 rw-p 00026000 08:12 664143     /usr/lib/liblua-5.1.so.0
b734e000-b7369000 r-xp 00000000 08:12 662254     /usr/lib/librpmdb-4.0.4.so
b7369000-b736a000 r--p 0001a000 08:12 662254     /usr/lib/librpmdb-4.0.4.so
b736a000-b736b000 rw-p 0001b000 08:12 662254     /usr/lib/librpmdb-4.0.4.so
b736b000-b736c000 rw-p 00000000 00:00 0 
b736c000-b738c000 r-xp 00000000 08:12 662255     /usr/lib/librpmio-4.0.4.so
b738c000-b738d000 r--p 0001f000 08:12 662255     /usr/lib/librpmio-4.0.4.so
b738d000-b738e000 rw-p 00020000 08:12 662255     /usr/lib/librpmio-4.0.4.so
b738e000-b7394000 rw-p 00000000 00:00 0 
b7394000-b73ef000 r-xp 00000000 08:12 662253     /usr/lib/librpm-4.0.4.so
b73ef000-b73f0000 r--p 0005a000 08:12 662253     /usr/lib/librpm-4.0.4.so
b73f0000-b73f2000 rw-p 0005b000 08:12 662253     /usr/lib/librpm-4.0.4.so
b73f2000-b73f3000 rw-p 00000000 00:00 0 
b73f3000-b7409000 r-xp 00000000 08:12 786686     /lib/libpthread-2.17.so
b7409000-b740a000 r--p 00015000 08:12 786686     /lib/libpthread-2.17.so
b740a000-b740b000 rw-p 00016000 08:12 786686     /lib/libpthread-2.17.so
b740b000-b740e000 rw-p 00000000 00:00 0 
b740e000-b7580000 r-xp 00000000 08:12 786678     /lib/libc-2.17.so
b7580000-b7582000 r--p 00171000 08:12 786678     /lib/libc-2.17.so
b7582000-b7583000 rw-p 00173000 08:12 786678     /lib/libc-2.17.so
b7583000-b7586000 rw-p 00000000 00:00 0 
b7586000-b75a2000 r-xp 00000000 08:12 786742     /lib/libgcc_s.so.1
b75a2000-b75a3000 r--p 0001b000 08:12 786742     /lib/libgcc_s.so.1
b75a3000-b75a4000 rw-p 0001c000 08:12 786742     /lib/libgcc_s.so.1
b75a4000-b7680000 r-xp 00000000 08:12 664655     /usr/lib/libstdc++.so.6.0.17
b7680000-b7681000 ---p 000dc000 08:12 664655     /usr/lib/libstdc++.so.6.0.17
b7681000-b7685000 r--p 000dc000 08:12 664655     /usr/lib/libstdc++.so.6.0.17
b7685000-b7686000 rw-p 000e0000 08:12 664655     /usr/lib/libstdc++.so.6.0.17
b7686000-b768d000 rw-p 00000000 00:00 0 
b768d000-b7749000 r-xp 00000000 08:12 663227    
/usr/lib/libapt-pkg-libc6.9-6-64.so.2.1.0
b7749000-b774b000 r--p 000bb000 08:12 663227    
/usr/lib/libapt-pkg-libc6.9-6-64.so.2.1.0
b774b000-b774c000 rw-p 000bd000 08:12 663227    
/usr/lib/libapt-pkg-libc6.9-6-64.so.2.1.0
b774c000-b774d000 rw-p 00000000 00:00 0 
b774d000-b775d000 r--p 00000000 08:12 138805    
/usr/share/locale/ru/LC_MESSAGES/apt.mo
b775d000-b775e000 r--p 00000000 08:12 923547    
/usr/lib/locale/ru_RU.utf8/LC_NUMERIC
b775e000-b775f000 r--p 00000000 08:12 923543    
/usr/lib/locale/ru_RU.utf8/LC_TIME
b775f000-b7760000 r--p 00000000 08:12 923538    
/usr/lib/locale/ru_RU.utf8/LC_MONETARY
b7760000-b7761000 r--p 00000000 08:12 918907    
/usr/lib/locale/ru_RU.utf8/LC_MESSAGES/SYS_LC_MESSAGES
b7761000-b7762000 r--p 00000000 08:12 918250    
/usr/lib/locale/ru_RU.utf8/LC_PAPER
b7762000-b7763000 r--p 00000000 08:12 918321    
/usr/lib/locale/ru_RU.utf8/LC_NAME
b7763000-b7764000 r--p 00000000 08:12 923546    
/usr/lib/locale/ru_RU.utf8/LC_ADDRESS
b7764000-b7765000 r--p 00000000 08:12 918336    
/usr/lib/locale/ru_RU.utf8/LC_TELEPHONE
b7765000-b7766000 r--p 00000000 08:12 940404    
/usr/lib/locale/ru_RU.utf8/LC_MEASUREMENT
b7766000-b776d000 r--s 00000000 08:12 793049    
/usr/lib/gconv/gconv-modules.cache
b776d000-b776e000 r--p 00000000 08:12 918882    
/usr/lib/locale/ru_RU.utf8/LC_IDENTIFICATION
b776e000-b776f000 rw-p 00000000 00:00 0 
b776f000-b7770000 r-xp 00000000 00:00 0          [vdso]
b7770000-b7790000 r-xp 00000000 08:12 793935     /lib/ld-2.17.so
b7790000-b7791000 r--p 0001f000 08:12 793935     /lib/ld-2.17.so
b7791000-b7792000 rw-p 00020000 08:12 793935     /lib/ld-2.17.so
bfa70000-bfab3000 rw-p 00000000 00:00 0          [stack]
Аварийный останов

Что теперь делать,или просто переустоновить систему? 
На apt-get install ***** выдает такую же фигню.
------- Comment #1 From 2015-05-16 16:41:49 -------
На apt (хотя возможны проблемы в rpm).

P.S. Если не хотите, чтобы разнесло пакетную базу, используйте apt-get
dist-upgrade (а не upgrade).
------- Comment #2 From 2015-05-16 17:11:55 -------
используйте apt-get
dist-upgrade

Теперь точно запомню,раньше у меня прокатывало все нормально было просто
upgrade,даже и не знал что через dist надо.Поправить наверно тяжело уже
будет,может проще переустоновить,правда уже не узнаю что свалили систему,не
считая меня.
------- Comment #3 From 2015-05-17 21:25:00 -------
 Ну как бы решилась проблема у меня после
Решение N1[1]:

в /etc/apt/apt.conf добавить строку (если ещё нет):

APT::Cache-Limit <LimitInBytes>; добавил и все пошло.
------- Comment #4 From 2015-05-17 23:18:53 -------
(In reply to comment #3)
>  Ну как бы решилась проблема у меня после
> Решение N1[1]:
> 
> в /etc/apt/apt.conf добавить строку (если ещё нет):
> 
> APT::Cache-Limit <LimitInBytes>; добавил и все пошло.

Очень маловероятно, что эта строчка могла исправить ошибку о которой шла речь.
------- Comment #5 From 2015-05-18 10:07:12 -------
Ну там еще много что делал,может это уже последнее после чего заработало.
http://forum.altlinux.org/index.php/topic,34644.15.html
------- Comment #6 From 2015-05-18 11:52:28 -------
(In reply to comment #5)
> Ну там еще много что делал,может это уже последнее после чего заработало.
> http://forum.altlinux.org/index.php/topic,34644.15.html

Вы удаляли кэш apt, как я рекомендовал на форуме?
# rm /var/cache/apt/*cache.bin

Если да, то скорее всего, это вам и помогло. Если нет, у меня нет идей.
В любом случае, закрывайте, если теперь всё хорошо.
------- Comment #7 From 2015-05-19 08:05:35 -------
В любом случае, закрывайте, если теперь всё хорошо. 

А тут как это делается,где кнопка закрыть.
------- Comment #8 From 2015-05-20 17:41:37 -------
Вы удаляли кэш apt, как я рекомендовал на форуме? Вроде да,точно не помню.